package com.sunwin.robot2ips.dao;

import com.sunwin.robot2ips.beans.dto.IPSPointDTO;
import com.sunwin.robot2ips.beans.dto.RobotDTO;
import com.sunwin.robot2ips.beans.vo.RecordTaskPoint;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
@Mapper
public interface UploadMapper {
    /**
     * 根据起止时间查询巡检数据
     *
     * @param startDate
     * @param endDate
     * @return java.util.List<com.sunwin.robot2ips.beans.dto.CheckDataDTO>
     * @author machao
     * @date 2022/6/6 17:21
     **/
    List<RecordTaskPoint> queryDataByDate(@Param("startDate") String startDate, @Param("endDate") String endDate);

    List<RobotDTO> selectRobots();

    void insertBindLink(@Param("list") List<IPSPointDTO> IPSPoints);

    List<RecordTaskPoint> queryDataAfterId(@Param("lastDataId") Long lastDataId, @Param("count") Integer count);

    Long selectMaxId();
}
